Bug 20332 - Untranslatable strings in grouped OPAC results
Summary: Untranslatable strings in grouped OPAC results
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-05 10:40 UTC by paxed
Modified: 2018-07-30 13:29 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20332: Allow translating some grouped opac results texts (3.05 KB, patch)
2018-03-05 10:43 UTC, paxed
Details | Diff | Splinter Review
Bug 20332: Allow translating some grouped opac results texts (3.10 KB, patch)
2018-07-08 14:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20332: Allow translating some grouped opac results texts (3.15 KB, patch)
2018-07-11 02:08 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-03-05 10:40:27 UTC
The grouped OPAC results page has several untranslatable javascript-added texts, including the selection modifiers "Clear all" and "Select all" links, and the entries in the shelves/lists dropdown.
Comment 1 paxed 2018-03-05 10:43:29 UTC
Created attachment 72414 [details] [review]
Bug 20332: Allow translating some grouped opac results texts

The grouped OPAC results page has several untranslatable
javascript-added texts, including the selection modifiers "Clear all"
and "Select all" links, and the entries in the shelves/lists dropdown.

No test plan, as I can't test it - we don't use the grouped results,
and I don't have pazpar2 installed.
Comment 2 Katrin Fischer 2018-07-08 14:18:57 UTC
I think PazPar2 and grouped results are going to be deprecated, see bug 20410. But changes make sense from carefully reading and checking them. I am going to sign-off.
Comment 3 Katrin Fischer 2018-07-08 14:19:52 UTC
Created attachment 76758 [details] [review]
Bug 20332: Allow translating some grouped opac results texts

The grouped OPAC results page has several untranslatable
javascript-added texts, including the selection modifiers "Clear all"
and "Select all" links, and the entries in the shelves/lists dropdown.

Compare to opac-results.tt

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Chris Cormack 2018-07-11 02:08:19 UTC
Created attachment 76860 [details] [review]
Bug 20332: Allow translating some grouped opac results texts

The grouped OPAC results page has several untranslatable
javascript-added texts, including the selection modifiers "Clear all"
and "Select all" links, and the entries in the shelves/lists dropdown.

Compare to opac-results.tt

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Nick Clemens 2018-07-13 13:48:22 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-07-15 19:21:09 UTC
Pushed to 18.05.x for 18.05.02
Comment 7 Fridolin SOMERS 2018-07-30 13:29:05 UTC
Pushed to 17.11.x for 17.11.09